Skip to content
Ona Docs

DeleteCustomDomain

POST/gitpod.v1.OrganizationService/DeleteCustomDomain

Removes a custom domain configuration from an organization.

Use this method to:

  • Disable custom domain functionality
  • Remove outdated configurations
  • Clean up unused domains

Examples

  • Delete custom domain configuration:

    Removes a specific custom domain configuration.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
Body ParametersJSONExpand Collapse
organizationId: string

organization_id is the ID of the organization to delete custom domain for

formatuuid

DeleteCustomDomain

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/DeleteCustomDomain \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
        }'
{}
Returns Examples
{}